# $Revision: 1.48 $, $Date: 2010/10/12 18:04:28 $
Summary:	Toolchain to create panoramic images
Summary(pl.UTF-8):	Zestaw narzędzi do tworzenia panoramicznych zdjęć
Name:		hugin
Version:	2010.2.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/hugin/%{name}-%{version}.tar.gz
# Source0-md5:	be94c0454924ff5b7dbea4736395f7b1
Patch0:		%{name}-pl.po-update.patch
Patch1:		%{name}-cppflags.patch
URL:		http://hugin.sourceforge.net/
BuildRequires:	OpenEXR-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	boost-devel >= 1.40.0
BuildRequires:	cmake >= 2.4
BuildRequires:	exiv2-devel
BuildRequires:	gettext-devel
BuildRequires:	glew-devel
BuildRequires:	gtk+2-devel >= 1:2.0.3
BuildRequires:	libjpeg-devel
BuildRequires:	libpano13-devel >= 2.9.17
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.471
BuildRequires:	sed >= 4.0
BuildRequires:	wxGTK2-unicode-devel >= 2.7.0
BuildRequires:	wxGTK2-unicode-gl-devel >= 2.7.0
BuildRequires:	zlib-devel
Suggests:	autopano-sift-C >= 2.5.0
Suggests:	enblend-enfuse >= 3.1
# exiftool program
Suggests:	perl-Image-ExifTool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With hugin you can assemble a mosaic of photographs into a complete
immensive panorama, stitch any series of overlapping pictures and much
more.

Note: Hugin can use autopano-sift-C package to match images and
enblend package for soft blending, so you'll probably want to install
them too.

%description -l pl.UTF-8
Przy użyciu hugina można połączyć wiele fotografii w kompletną, dużą
panoramę, skleić dowolny ciąg nakładających się zdjęć i wiele więcej.

Hugin może używać pakietu autopano-sift-C do dopasowania zdjęć oraz
pakiet enblend do wygładzenia krawędzi po łączeniu - więc warto te
pakiety także zainstalować.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

mv -f src/translations/{ca_ES,ca}.po
mv -f src/translations/{cs_CZ,cs}.po

%build
install -d build
cd build
%cmake .. \
	-DCMAKE_BUILD_TYPE=%{?debug:Debug}%{!?debug:None} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	-DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-gtk2-unicode-config

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# cmake is so great there is no way to pass proper path
mv $RPM_BUILD_ROOT%{_iconsdir}/{gnome,hicolor}

# not needed
rm $RPM_BUILD_ROOT%{_libdir}/libhugin*.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENCE_VIGRA README TODO
%lang(ja) %doc README_JP
%attr(755,root,root) %{_bindir}/align_image_stack
%attr(755,root,root) %{_bindir}/autooptimiser
%attr(755,root,root) %{_bindir}/autopano-noop.sh
%attr(755,root,root) %{_bindir}/calibrate_lens
%attr(755,root,root) %{_bindir}/celeste_standalone
%attr(755,root,root) %{_bindir}/cpclean
%attr(755,root,root) %{_bindir}/deghosting_mask
%attr(755,root,root) %{_bindir}/fulla
%attr(755,root,root) %{_bindir}/hugin
%attr(755,root,root) %{_bindir}/hugin_hdrmerge
%attr(755,root,root) %{_bindir}/hugin_stitch_project
%attr(755,root,root) %{_bindir}/matchpoint
%attr(755,root,root) %{_bindir}/nona
%attr(755,root,root) %{_bindir}/nona_gui
%attr(755,root,root) %{_bindir}/PTBatcher
%attr(755,root,root) %{_bindir}/PTBatcherGUI
%attr(755,root,root) %{_bindir}/pano_modify
%attr(755,root,root) %{_bindir}/pano_trafo
%attr(755,root,root) %{_bindir}/pto_merge
%attr(755,root,root) %{_bindir}/pto2mk
%attr(755,root,root) %{_bindir}/tca_correct
%attr(755,root,root) %{_bindir}/vig_optimize
%attr(755,root,root) %{_libdir}/libceleste.so*
%attr(755,root,root) %{_libdir}/libhuginANN.so.*.*
%attr(755,root,root) %{_libdir}/libhuginbase.so.*.*
%attr(755,root,root) %{_libdir}/libhuginbasewx.so.*.*
%attr(755,root,root) %{_libdir}/libhuginvigraimpex.so.*.*
%{_datadir}/%{name}
%{_datadir}/mime/packages/hugin.xml
%{_desktopdir}/hugin.desktop
%{_desktopdir}/PTBatcherGUI.desktop
%{_iconsdir}/hicolor/*/mimetypes/gnome-mime-application-x-ptoptimizer-script.png
%{_pixmapsdir}/hugin.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hugin.spec,v $
Revision 1.48  2010/10/12 18:04:28  august84
- up to 2010.2.0
- patches asneeded & libpng dropped - fixed upstream
- pl.po-update.patch updated

Revision 1.47  2010/03/28 22:52:44  caleb
- up to 2010.0.0

Revision 1.46  2010/03/08 13:34:34  hawk
- release 2

Revision 1.45  2010/03/01 18:00:39  sparky
- dropped unused BR: zip

Revision 1.44  2010/03/01 15:54:35  hawk
- updated to 2009.4.0, added fix for libpng 1.4, boost 1.40 fix merged
  upstream

Revision 1.43  2010/02/27 17:26:33  hawk
- release 2

Revision 1.42  2009/12/02 02:06:50  sparky
- BR: OpenGL-glut-devel, glew-devel

Revision 1.41  2009/10/31 22:15:33  emes
- up to 2009.2.0
- enforce boost >= 1.40.0 and apply patch
- hugin-pl.po-update.patch does not apply anymore

Revision 1.40  2009/09/20 11:36:48  hawk
- release 5

Revision 1.39  2009/06/21 11:44:39  hawk
- release 4

Revision 1.38  2009/03/13 22:42:03  hawk
- release 3

Revision 1.37  2009/01/27 22:14:12  hawk
- release 2

Revision 1.36  2008/10/07 20:36:31  qboosh
- merged from DEVEL

Revision 1.35  2008/09/09 20:26:04  draenog
- start update to 0.7.0rc5; project switched from autotools to cmake
- pl.po-update.patch needs updating
- asneeded.patch updated for cmake
- cppflags.patch
- defaults.patch not needed any more

Revision 1.34  2008/08/21 12:08:15  hawk
- release 4

Revision 1.33.2.10  2008/10/07 20:31:47  qboosh
- rc6 became final 0.7.0

Revision 1.33.2.9  2008/09/16 05:52:31  qboosh
- updated to 0.7.0_rc6
- updated pl.po-update patch

Revision 1.33.2.8  2008/09/12 16:08:34  qboosh
- S =~ s/enblend/enblend-enfuse/

Revision 1.33.2.7  2008/09/10 17:56:30  qboosh
- updated pl.po-update patch is back

Revision 1.33.2.6  2008/09/10 14:29:12  qboosh
- updated files

Revision 1.33.2.5  2008/09/09 21:11:31  qboosh
- previous "0.7.0 release" appeared to be -rc1; updated to -rc5 now
- merged asneeded,cppflags patches from HEAD

Revision 1.33.2.4  2008/07/31 17:57:53  qboosh
- ugh, one more lib64 mistake

Revision 1.33.2.3  2008/07/31 17:50:13  qboosh
- macros for cmake (with LDFLAGS support)

Revision 1.33.2.2  2008/07/31 15:30:41  qboosh
- oops, typo

Revision 1.33.2.1  2008/07/31 04:54:51  qboosh
- started update to 0.7.0 (still fighting with cmake); needs cvs enblend

Revision 1.33  2008/05/12 13:47:12  shadzik
- rel .3

Revision 1.32  2008-04-29 14:06:06  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.31  2007-12-12 21:07:00  qboosh
- S: enblend

Revision 1.30  2007-12-08 15:49:49  vip
- S: autopano-sift

Revision 1.29  2007-07-17 18:30:04  sls
- BR: boost-graph-devel
- sort BR: boost

Revision 1.28  2007/07/15 13:00:23  qboosh
- libpano13 detection is greedy

Revision 1.27  2007/07/11 21:23:25  sls
- added bcond pano13

Revision 1.26  2007/04/04 17:28:46  qboosh
- release .2: updated pl.po-update patch

Revision 1.25  2007/03/29 05:13:29  qboosh
- hugin defaults to unicode wx* - updated BRs

Revision 1.24  2007/03/08 22:51:23  sls
- ver. 0.7.beta4

Revision 1.23  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.21  2007/01/11 01:04:55  sls
- ver 0.7-beta1

Revision 1.20  2006/09/28 20:30:20  aredridel
- BR: boost-bind-devel

Revision 1.19  2006/08/21 21:34:14  qboosh
- install mimetypes icon in hicolor (not gnome) theme

Revision 1.18  2006/08/21 20:51:26  qboosh
- updated to 0.6.1, updated pl.po-update patch

Revision 1.17  2006/08/19 20:40:50  qboosh
- updated to 0.6
- updated pl.po-update patch, removed obsolete gcc4 patch, added asneeded patch

Revision 1.16  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.15  2006/06/03 18:48:59  qboosh
- added gcc4 patch, fixed ca locale dir, release 2

Revision 1.14  2005/12/06 10:39:57  qboosh
- updated to final 0.5, updated pl.po-update,defaults patches

Revision 1.13  2005/09/23 14:03:14  qboosh
- updated to 0.5-rc2
- updated pl.po-update,defaults patches, removed obsolete break,am patches

Revision 1.12  2005/05/18 23:12:31  qboosh
- updated to 0.5_rc1, updated pl.po-update,am patches, removed obsolete imgs patch

Revision 1.11  2005/05/15 21:08:27  qboosh
- updated to 0.5-beta6, updated pl.po-update patch, added am patch

Revision 1.10  2005/05/15 20:06:21  qboosh
- added break,imgs patches (for minor bugs); major crash still exists

Revision 1.9  2005/05/13 20:20:19  qboosh
- remove stamp-po to rebuild pl.gmo

Revision 1.8  2005/05/12 21:51:31  qboosh
- updated to 0.5-beta5, removed obsolete cvs patch, updated pl.po-update patch

Revision 1.7  2005/05/01 01:07:47  qboosh
- release .3

Revision 1.6  2005/05/01 00:43:57  qboosh
- BR: boost-ref-devel (<boost/ref.hpp> used)

Revision 1.5  2005/05/01 00:37:48  qboosh
- hack boost_libdir to be lib64-aware; BR: boost-any-devel for configure checks

Revision 1.4  2005/04/30 22:48:57  qboosh
- added cvs patch, updated pl.po-update patch, release .2 (works with wx 2.6.0)

Revision 1.3  2005/04/03 19:56:15  qboosh
- it suggests autopano-sift and enblend

Revision 1.2  2005/04/03 19:21:02  qboosh
- more pl.po fixes, added defaults patch

Revision 1.1  2005/04/03 00:17:18  qboosh
- new
